All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Interface FilterLogicEditableTestNodeInterface

All Superinterfaces:
  FilterLogicBaseNodeInterface, FilterLogicTestNodeInterface, javax.swing.tree.TreeNode

All Known Implementing Classes:
  DefaultFilterLogicTestNode

    public interface FilterLogicEditableTestNodeInterface

extends FilterLogicTestNodeInterface

This interface expands the FilterLogicTestNodeInterface to provide the ability to modify a test node's properties.

Method Summary
`void` | `setCondition(FilterConditionInterface condition)` Sets the ConditionInterface for this if it is a Test node.
`void` | `setFilterDescription(java.lang.String description)` Sets the description for this node.
`void` | `setFilterItem(FilterItemInterface item)` Sets the FilterItemInterface for this if it is a Test node.
`void` | `setFilterItemQualifiers(java.util.List subItems)` Sets a list of FiterItemInterface objects that further qualify the FilterItem.
`void` | `setFilterLabel(java.lang.String label)` Sets the name for this if it is a Test node.
`void` | `setTestValuesList(java.util.List values)` Sets a List of objects that were selected for this test node.

Methods inherited from interface com.sas.dataselectors.filters.FilterLogicTestNodeInterface
`getCondition, getFilterItem, getFilterItemQualifiers, getTestValuesList`

Methods inherited from interface com.sas.dataselectors.filters.FilterLogicBaseNodeInterface
`dispose, getChildLogicNodeAt, getFilterDescription, getFilterLabel, getMaxChildren, getParentLogicNode, getUserObject`

Method Detail

### setFilterLabel

    void setFilterLabel(java.lang.String label)

  Sets the name for this if it is a Test node.

  Parameters:
    `item` - The new name for this node

### setFilterDescription

    void setFilterDescription(java.lang.String description)

  Sets the description for this node.

  Parameters:
    `item` - The new description for this node

### setFilterItem

    void setFilterItem(FilterItemInterface item)

  Sets the FilterItemInterface for this if it is a Test node.

  Parameters:
    `item` - the new filter item

### setFilterItemQualifiers

    void setFilterItemQualifiers(java.util.List subItems)

  Sets a list of FiterItemInterface objects that further qualify the FilterItem.

  Parameters:
    `subItems` - the new list of qualifiers

### setCondition

    void setCondition(FilterConditionInterface condition)

  Sets the ConditionInterface for this if it is a Test node.

  Parameters:
    `condition` - the new condition for this test node

### setTestValuesList

    void setTestValuesList(java.util.List values)

  Sets a List of objects that were selected for this test node.

  Parameters:
    `values` - the new list of values for this node

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.